#
#	Makefile
#
#	シンプルライブラリサポートルーチン集
#	Copyright (C) 2002-2008 Naoyuki Sawa
#
#	* Tue Dec  4 04:41:51 JST 2001 Naoyuki Sawa
#	- 作成開始。
#	* Sat May 25 15:43:00 JST 2002 Naoyuki Sawa
#	- ライブラリ構築用に特化したバージョンを作成。
#	- アプリケーション構築用に特化したバージョンを作成。
#	* Tue Jul  2 12:55:00 JST 2002 Naoyuki Sawa
#	- 自作ツールのマクロ定義を追加。
#	- lib,srf,pexの出力ファイル名を$@で指定。
#	- DEBUGシンボル定義時は、CFLAGSだけでなくLDFLAGSにも-gを追加。
#	  -gを指定しないと、リンク時にデバッグ情報が削除されてしまう。
#	* Sat Jul 20 21:16:00 JST 2002 Naoyuki Sawa
#	- データコンバート用の記述を追加しました。
#	* Mon Jul 22 21:10:00 JST 2002 Naoyuki Sawa
#	- データコンバート用の記述にdppcmcnvを追加しました。
#	* Mon Jul 23 04:25:00 JST 2002 Naoyuki Sawa
#	- これまでライブラリ構築用とアプリケーション構築用のMakefileを
#	  別々に管理していましたが、共通部分をclip.mkに分離し、
#	  異なる部分だけをそれぞれのMakefileに残すようにしました。
#	* Wed Mar 29 04:42:00 JST 2006 Naoyuki Sawa
#	- cleanのターゲットに、*.$、*.ps、*.msを追加しました。
#	* Tue Jan 08 11:47:29 JST 2008 Naoyuki Sawa
#	- OBJSにdefsym.o、clipidiv.oを追加しました。
#	  clip.mkの、カスタムスタートアップルーチン(cstart.o)対応に追従するためです。
#	  シンプルライブラリアプリケーションには、特に必要なかったのですが、結果的に、
#	  通常アプリケーションと同様に、ベクタ領域のFRAMコードを使うようになりました。
#

#DEBUG=1
CLIP=..

#############################################################################
#	マクロ定義
#############################################################################

# プロジェクト名を指定してください。
# プロジェクト名はターゲットファイルのベース名となります。
PROJECT = supp

# オブジェクトファイルを列挙してください。
OBJS =	supp.o \
	font.o \
	instdef2.o \
	defsym.o \
	clipidiv.o \

# ヘッダファイルを列挙してください。
HEADERS = *.h

# プロジェクト別のコンパイラ・リンカオプションを定義してください。
# （インクルードパス、ライブラリパス、ライブラリファイルの列挙等）
APP_CFLAGS  =
APP_LDFLAGS =

#############################################################################
#	アクション
#############################################################################

all: lib
lib: $(PROJECT).lib
clean:
	@if exist *.$$  del *.$$
	@if exist *.ps  del *.ps
	@if exist *.ms  del *.ms
	@if exist *.o   del *.o
	@if exist *.lib del *.lib

$(PROJECT).lib: $(OBJS)
	$(LIB) $@ $(OBJS)

#############################################################################
#	依存関係
#############################################################################

# * 同じターゲットに対する依存関係行はいくつも定義できます。
#   ターゲットが依存するファイルは、それらをマージした結果となります。
#   clip.mkの中でOBJSは全ての*.hファイルに依存すると宣言しているので、
#   この場合、clippce.oは全ての*.hに加えて、clipdobj.cにも依存します。
#clippce.o: clipdobj.c

#############################################################################
# * clip.mkの中でシンボル定義の有無によって処理を分けているので、
#   clip.mkのインクルードは最後に行わなければいけません。
include $(CLIP)\clip.mk
